Subject: RE: IPv6 Capable and IPv6 ONLY for Scenarios

From: "Bound, Jim" <[email-masked]>
Date: Fri, 24 Oct 2003 09:52:56 -0400

What I will do Tim is listen to all inputs till next week on this thread
and then send out a new message to define what this means as part II to
hear if WG has issue.  Also I agree hybrid is far better than dual stack
as dual stack is a misnomer WG please see PDF attachment. 

thanks
/jim

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Tim Chown
> Sent: Friday, October 24, 2003 5:46 AM
> To: [email-masked]
> Subject: Re: IPv6 Capable and IPv6 ONLY for Scenarios
> 
> 
> On Fri, Oct 24, 2003 at 11:15:24AM +0300, Pekka Savola wrote:
> > On Fri, 24 Oct 2003, Christian Strauf (JOIN) wrote:
> > > > IPv6 ONLY should only mean a node that has NO IPv4 stack to 
> > > > process IPv4 packets?
> > >
> > > My impression is that in a lot of cases it makes sense to clearly 
> > > differentiate between IPv6 only stack and IPv6 only connectivity 
> > > [...]
> > 
> > Agreed -- there is a potential for confusion here.  I'm not sure 
> > whether
> > it makes sense to try to define and ratify exact semantics 
> here, but at 
> > least the terminology used should be made clear.
> 
> I think that there are many "IPv6 only" testbeds running 
> Linux, BSD etc where you only configure IPv6, and only use 
> IPv6 connectivity, despite IPv4 being present but not enabled.
> 
> So what Pekka says is fine by me "dual stack with only IPv6 
> enabled" (or perhaps more accurately "hybrid stack").
> 
> While innovative new, really IPv6 only devices may emerge 
> soon, there's 
> little chance we'll see, for example, "Windows v6" without 
> any IPv4 support
> for a long, long time.   The question is really what is 
> enabled for comms
> and what the apps actually use.
> 
> It would be nice to have common agreed language to use in all 
> v6ops (and
> wider) IETF docs.
> 
> Tim
> 
>

---

From: Pekka Savola <[email-masked]>
Date: Fri, 24 Oct 2003 21:03:25 +0300 (EEST)

On Fri, 24 Oct 2003, Bound, Jim wrote:
[tim:]
> Also I agree hybrid is far better than dual stack

I'm not sure if I understand what is the difference between "dual" and
"hybrid" stacks.  I'm not 100% sure what the two slides wanted to convey.  
I got the impression that "hybrid" referred to the practice where the
kernel and the rest of the OS tries to implement just one generic IP
stack, and reuse and extend that to the IP versions as appropriate (and
dual stack would mean literally two completely separate IP stacks or
functionalities).

Whatever the intent, the key point of course is that the term "dual-stack"  
has been used to refer to the external behaviour of the implementation,
that is, that both the protocols are implemented.  I don't think there's
really much difference (in the context of IETF) how it's actually done.  

I would think that "dual stack"  is probably the best term to use here, if
not for any other reason, than that it seems to have become an established
term already..

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings